. $HOME/.asdf/asdf.sh
. $HOME/.asdf/completions/asdf.bash

[ -f ~/.fzf.bash ] && source ~/.fzf.bash

### 15Five Functions

set-sts-env() {
    source /usr/home/powellc/src/github.com/15five/aws-cli-tooling/set-sts-env.sh
}

set-deploy-env() {
    source /usr/home/powellc/src/github.com/15five/aws-cli-tooling/set-deploy-env.sh
}

set-pg-env() {
    source /usr/home/powellc/src/github.com/15five/aws-cli-tooling/set-pg-env.sh
}

set-env() {
    set -a;eval `chamber export cloud100/fifteen5/base -f dotenv`;set +a
    set -a;eval `chamber export cloud100/fifteen5/deploy -f dotenv`;set +a
    set -a;eval `chamber export cloud100/engagement -f dotenv`;set +a
}

prod() {
    okta-awscli --okta-profile poweruser --profile 15five-root-poweruser
    set-sts-env 15five-root-poweruser 15five-production-poweruser
    aws eks update-kubeconfig --name $VPC_NAME
    kubectl -n $VPC_NAME exec -it deployment/uvicorn-web-general -- bash
}

shuttle() {
    sshuttle -r bastion.cloud100.15five.com 10.100.0.0/16
}

### 15Five Functions
set-sts-env() {
    source /home/powellc/src/github.com/15five/aws-cli-tooling/set-sts-env.sh
}

set-deploy-env() {
    source /home/powellc/src/github.com/15five/aws-cli-tooling/set-deploy-env.sh
}

set-pg-env() {
    source /home/powellc/src/github.com/15five/aws-cli-tooling/set-pg-env.sh
}


